﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Windows.DataPresenter;
using WpfApplication292.ViewModel;

namespace WpfApplication292.ViewModel
{
 public   class CalcNetWorth:SummaryCalculator
    {
     double _assets = 0.00;
     double _debts = 0.00;
     double _networth = 0.00;

        public override void Aggregate(object dataValue, SummaryResult summaryResult, Record record)
        {
          //  throw new NotImplementedException();
            NetWorth nw = dataValue as NetWorth;
            _assets += nw.Assets;
            _debts += nw.Debt;
        }

        public override void BeginCalculation(SummaryResult summaryResult)
        {
           // throw new NotImplementedException();
            _assets = 0.00;
            _debts = 0.00;
            _networth = 0.00;
        }

        public override bool CanProcessDataType(Type dataType)
        {
           // throw new NotImplementedException();
            return true;
        }

        public override string Description
        {
            get { return "get networth"; }
        }

        public override object EndCalculation(SummaryResult summaryResult)
        {
           // throw new NotImplementedException();
            _networth = _assets - _debts;
            return _networth;
        }

        public override string Name
        {
            get { return "NetWorth"; }
        }

        
    }
}
